Loading...
Searching...
No Matches
idiststream

## Detailed Description

idiststream: see the `diststream` page for the full documentation

Examples
  zalesak_dg_adapt.cc.

Definition at line 336 of file diststream.h.

## Public Types

typedef std::size_t | size_type

## Public Member Functions

| idiststream ()
| idiststream (std::istream &is, const communicator &comm=communicator())
| idiststream (std::string filename, std::string suffix="", const communicator &comm=communicator())
| ~idiststream ()
void | open (std::string filename, std::string suffix="", const communicator &comm=communicator())
| This routine opens a physical input file.
void | close ()
const communicator & | comm () const
bool | good () const
| operator bool () const
std::istream & | is ()
bool | nop ()
bool | do_load ()

## Static Public Member Functions

static size_type | io_proc ()
| This routine returns the rank of a process that can perform i/o.

## Protected Attributes

std::istream * | _ptr_is
bool | _use_alloc
communicator | _comm

## Member Typedef Documentation

## size_type

typedef std::size_t size_type

Definition at line 338 of file diststream.h.

## Constructor & Destructor Documentation

## idiststream() [1/3]

idiststream | ( |  | ) |

Definition at line 383 of file diststream.h.

## idiststream() [2/3]

idiststream | ( | std::istream & | is,
|  | const communicator & | comm = `communicator()`
| ) |  |

Definition at line 388 of file diststream.h.

## idiststream() [3/3]

idiststream | ( | std::string | filename,
|  | std::string | suffix = `""`,
|  | const communicator & | comm = `communicator()`
| ) |  |

Definition at line 393 of file diststream.h.

## ~idiststream()

~idiststream | ( |  | ) |

Definition at line 114 of file diststream.cc.

## Member Function Documentation

## open()

void open | ( | std::string | filename,
|  | std::string | suffix = `""`,
|  | const communicator & | comm = `communicator()`
| ) |  |

This routine opens a physical input file.

Definition at line 85 of file diststream.cc.

## close()

void close | ( |  | ) |

Definition at line 105 of file diststream.cc.

## comm()

const communicator & comm | ( |  | ) | const

Definition at line 356 of file diststream.h.

## good()

bool good | ( |  | ) | const

Definition at line 124 of file diststream.cc.

## operator bool()

operator bool | ( |  | ) | const

Definition at line 358 of file diststream.h.

## io_proc()

idiststream::size_type io_proc | ( |  | ) |

static

This routine returns the rank of a process that can perform i/o.

Definition at line 64 of file diststream.cc.

## is()

std::istream & is | ( |  | ) |

Definition at line 400 of file diststream.h.

## nop()

bool nop | ( |  | ) |

Definition at line 409 of file diststream.h.

## do_load()

bool do_load | ( |  | ) |

Definition at line 410 of file diststream.h.

## Member Data Documentation

## _ptr_is

std::istream* _ptr_is

protected

Definition at line 370 of file diststream.h.

## _use_alloc

bool _use_alloc

protected

Definition at line 371 of file diststream.h.

## _comm

communicator _comm

protected

Definition at line 372 of file diststream.h.

The documentation for this class was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/linalg/lib/diststream.h
- /build/rheolef-dTNbRN/rheolef-7.2/linalg/lib/diststream.cc